package com.lukaszbaran.simpleosgi.db.test.osgi;

import org.apache.log4j.Logger;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

public class Activator implements BundleActivator {

	private static final Logger LOGGER = Logger.getLogger(Activator.class);
	
	public void start(BundleContext arg0) throws Exception {
		LOGGER.info("Activator start() START");
		
		// because we need to access to the current bundle elsewhere
		if (arg0 != null) {
			BundleUtils.getInstance().setBundle(arg0.getBundle());
		}
		// perform some test connection
		HibernateApplication app = new HibernateApplication();
		app.test();
		
		LOGGER.info("Activator start() END");
	}

	public void stop(BundleContext arg0) throws Exception {
		LOGGER.info("Activator stop()");
	}

}
